From bba51c2eeb21da09e53caef52163f3e1c7598689 Mon Sep 17 00:00:00 2001
From: Isaac Marovitz <42140194+IsaacMarovitz@users.noreply.github.com>
Date: Fri, 19 May 2023 20:20:01 +0100
Subject: [PATCH] Fix macOS Update Script (#5014)

* Update updater.sh

* Better script

* Revert "Better script"

This reverts commit 9bf6be863892e5e10c2f2dba45f1d0a60daca688.
---
 distribution/macos/updater.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/distribution/macos/updater.sh b/distribution/macos/updater.sh
index 1b32249394..0854d4347f 100755
--- a/distribution/macos/updater.sh
+++ b/distribution/macos/updater.sh
@@ -25,14 +25,14 @@ error_handler() {
     exit 1
 }
 
-trap 'error_handler ${LINENO}' ERR
-
 # Wait for Ryujinx to exit
 # NOTE: in case no fds are open, lsof could be returning with a process still living.
 # We wait 1s and assume the process stopped after that
 lsof -p $APP_PID +r 1 &>/dev/null
 sleep 1
 
+trap 'error_handler ${LINENO}' ERR
+
 # Now replace and reopen.
 rm -rf "$INSTALL_DIRECTORY"
 mv "$NEW_APP_DIRECTORY" "$INSTALL_DIRECTORY"